Subject: Burgess :-P

From: [email-masked] (homers)
Date: Thu, 9 Mar 1995 04:05:14 GMT

I ordered from Burgess for the first and last time this year.  They
have the worst customer service I have ever experienced.  Rather than
relate my entire tale of woe, I will just list the two things that
stood out as being the worst.

1.  Having become dissatisfied with Burgess' customer service, I tried
to cancel my order.  This was before any product was shipped.  No dice.
 They will not cancel an order except if it is done in writing even
though they are happy to take orders by telephone.  They charged my
credit card anyway.

2.  When I finally did receive a package, there was all of my order
information printed on the shipping label.  Also printed on the
shipping label was my credit card number for all the world to see.

Others may have had better luck with Burgess but I will never order
from therm again.